#! /bin/bash
#syntax: odp_gen.sh outline slide slideshow template

ODP_NAME=`date '+%Y%m%d%H%M'`
ODP_SCRIPT='/home/marco/PROJECTS/_current/ODP_Scripting/odp_gen.pl'

mkdir tmp_odp_gen
cp $1 tmp_odp_gen/outline.txt
cp $2 tmp_odp_gen/slide.xml
cp $3 tmp_odp_gen/slideshow.xml
cp $4 tmp_odp_gen/template.zip
cd    tmp_odp_gen

unzip template.zip >& /dev/null
rm                content.xml

$ODP_SCRIPT outline.txt slide.xml slideshow.xml > content.xml
rm styles.xml; cp ../styles.xml styles.xml

rm outline.txt slide.xml slideshow.xml template.zip
find . -type f -print0 | xargs -0 zip ../$ODP_NAME > /dev/null

cd ..
rm -rf tmp_odp_gen

mv $ODP_NAME.zip $ODP_NAME.odp